Webhooks
List delivery attempts for an event
Lists the delivery attempts for one event across the organization’s endpoints, newest first, including automatic retries and manual replays. Pages the same way as the delivery log.
GET
/
webhooks
/
deliveries
/
{event_id}
/
attempts
List delivery attempts for an event
curl --request GET \
--url https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts \
--header 'X-Axilio-Api-Key: <api-key>'import requests
url = "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts"
headers = {"X-Axilio-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Axilio-Api-Key': '<api-key>'}};
fetch('https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Axilio-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Axilio-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts")
.header("X-Axilio-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Axilio-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"attempts": [
{
"attempt_number": 123,
"endpoint_id": "<string>",
"id": "<string>",
"manual": true,
"response_status": 123,
"status": "success",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Minimum role required: Admin
Authorizations
Customer API key (axl_ prefix).
Path Parameters
Event identifier.
Minimum string length:
1Query Parameters
Page size.
Required range:
1 <= x <= 200Opaque cursor from a previous page's next_cursor. Omit for the first page.
Maximum string length:
512⌘I
List delivery attempts for an event
curl --request GET \
--url https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts \
--header 'X-Axilio-Api-Key: <api-key>'import requests
url = "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts"
headers = {"X-Axilio-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Axilio-Api-Key': '<api-key>'}};
fetch('https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Axilio-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Axilio-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts")
.header("X-Axilio-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axilio.ai/api/v1/webhooks/deliveries/{event_id}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Axilio-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"attempts": [
{
"attempt_number": 123,
"endpoint_id": "<string>",
"id": "<string>",
"manual": true,
"response_status": 123,
"status": "success",
"delivered_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}